@if (row && row.data[columnDisplay.id]) {
  <ng-container>
    <div
      class="flex-row full-height full-width"
      style="justify-content: center"
    >
      <div
        class="flex-row full-height history-container"
        [style.min-width]="((maxLength$ | async) * 10).toString() + 'px'"
      >
        @if (!isExploratoryExecution()) {
          @for (
            stat of row.data['lastExecutionStatuses'];
            track stat;
            let i = $index
          ) {
            <span
              class="status-history"
              [attr.data-test-element-id]="'execution-status-history-' + i"
              [style.background-color]="getColor(i)"
              nz-tooltip
              [nzTooltipTitle]="getExecutionStatusTooltip(i) | capitalize"
            >
            </span>
          }
        }
      </div>
      <div
        class="full-height flex-column"
        [class.__hover_pointer]="canEdit$ | async"
        (click)="showExecutionStatusList()"
      >
        <div
          #executionStatus
          class="status-badge"
          [attr.data-test-cell-id]="'execution-status-cell'"
          [style.background-color]="lastStatusColor"
          nz-tooltip
          [nzTooltipTitle]="lastStatusI18Key | translate | capitalize"
        ></div>
        <ng-template #templatePortalContent>
          <sqtm-core-list-panel
            [selectedItem]="lastStatus"
            (itemSelectionChanged)="change($event)"
            [items]="panelItems$ | async"
          >
          </sqtm-core-list-panel>
        </ng-template>
      </div>
    </div>
  </ng-container>
}
